<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('variation_products', function (Blueprint $table) {
            $table->unsignedBigInteger('main_product_id')->nullable()->after('id');
            $table->foreign('main_product_id')->references('id')->on('main_products')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('variation_products', function (Blueprint $table) {
            $table->dropForeign(['main_product_id']);
            $table->dropColumn('main_product_id');
        });
    }
};
